=== debian/changelog ===
kradio4 (4.0.0) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 01 Jun 2009 23:00:05 +0200
 

kradio4 (snapshots_2009_05_31_r896) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 31 May 2009 22:28:56 +0200
 

kradio4 (4.0.0_rc4) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 26 Apr 2009 14:53:27 +0200
 

kradio4 (4.0.0-rc3) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 18 Apr 2009 15:25:53 +0200
 

kradio4 (4.0.0-rc2) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 10 Apr 2009 17:51:41 +0200
 

kradio4 (4-0-0-rc1) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 29 Mar 2009 14:30:02 +0200
 

kradio4 (snapshot-2009-03-28-r789) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 28 Mar 2009 23:56:44 +0100
 

kradio4 (snapshot-2009-03-22-r778) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 22 Mar 2009 15:45:54 +0100
 

kradio4 (snapshot-2009-03-18-r775) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 18 Mar 2009 00:00:02 +0100
 

kradio4 (snapshot-2009-03-18-r772) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 23:53:23 +0100
 

kradio4 (snapshot-2009-03-17-r766) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 02:09:49 +0100
 

kradio4 (snapshot-2009-03-17-r763) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:37:29 +0100
 

kradio4 (RELEASE-r762) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:35:23 +0100
 

kradio4 (4-0-0-beta2) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 15 Mar 2009 00:28:24 +0100
 

kradio4 (snapshot-2009-03-08-r745) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 08 Mar 2009 22:02:48 +0100
 

kradio4 (snapshot-2009-03-07-r723) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:37:07 +0100
 

kradio4 (snapshot-2009-03-07-r720) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:10:27 +0100
 

kradio4 (snapshot-2009-03-05-r701) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 01:10:01 +0100
 

kradio4 (snapshot-2006-03-05-r699) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 00:59:58 +0100
 

kradio4 (snapshot-2009-03-01-r694) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 01 Mar 2009 23:06:16 +0100
 

kradio4 (2009-03-01-r691) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 01 Mar 2009 22:45:06 +0100
 

kradio4 (2009-03-01-r688) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 01 Mar 2009 22:23:40 +0100
 

kradio4 (4-0-0-beta1-r664) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 22 Feb 2009 20:14:08 +0100
 

kradio4 (snapshot-2009-02-20-r649) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 20 Feb 2009 21:40:18 +0100
 

kradio4 (snapshot-2009-02-19-r630) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 19 Feb 2009 20:18:09 +0100
 

kradio (0.3.0-snapshot-2005-05-20) unstable; urgency=low

  * updated to recent upstream
  * build system fixes
  * soundstreamclient fixes (noticeConnectedI)

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 20 May 2005 23:52:15 +0200

kradio (0.3.0-snapshot-2005-05-17) unstable; urgency=low

  * fundamntal changes in sound backend
  * ogg/vorbis support
  * timeshifter

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 16 May 2005 23:59:59 +0200

kradio (0.3.0-snapshot-2004-02-23) unstable; urgency=low

  * open /dev/dsp is no more blocking
  * set correct PCM_ENABLE_INPUT flag when starting recording
  * recording: replaced QSocketNotifier by polling/nonblocking
    IO with QTimer. Some sound drivers do not support select()

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 23 Feb 2004 01:30:45 +0100

kradio (0.3.0-snapshot-2004-02-22e) unstable; urgency=low

  * fix several annoyances in configuration dialog, such as
    a reasonable minimum size of that dialog
  * recording buffer management is now configurable
  * preset file storage location is now configurable
  * finally fixed segfaults that occurred when calling
    virtual methods of virtual base classes in destructors
    (application exit and scan-dialog closing). Some
    compilers seem to not handle this case automatically in
    the correct manner.

