=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

common-binary-post-install-arch:: list-missing

clean::
	rm -f conf.log conf.pri

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download
